#specfile

Name:           simplescreenrecorder
Version:        0.3.6
Release:        %mkrel 1
License:        GPL-3.0+
Summary:        A feature-rich screen recorder that supports X11 and OpenGL
Url:            http://www.maartenbaert.be/simplescreenrecorder
Group:          Video
Source:         https://github.com/MaartenBaert/ssr/tarball/%{name}-%{version}.tar.xz
Patch0:         simplescreenrecorder-0.3.1-fix-filenames-with-percent.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#----------------------------------------
BuildRequires:  hicolor-icon-theme
BuildRequires:  %{_lib}qt4-devel
BuildRequires:  %{_lib}alsa2-devel
BuildRequires:  %{_lib}mesagl1-devel
BuildRequires:  %{_lib}mesaglu1-devel
BuildRequires:  %{_lib}ffmpeg-devel
BuildRequires:  %{_lib}x11-devel
BuildRequires:  %{_lib}xext-devel
BuildRequires:  %{_lib}xfixes-devel
#----------------------------------------


%description
SimpleScreenRecorder is a Linux program that was created to record programs
and games.

The original goal was to create a program that was just really simple to
use, the result is actually a pretty powerful program. It's 'simple' in
the sense that it's easier to use than ffmpeg/avconv or VLC, because it
has a straightforward user interface.

%prep
%setup -q
%apply_patches

pushd data/output-profiles
  mv High\%20Quality\%20Intermediate.conf HighQualityIntermediate.conf
  mv Live\%20Stream\%20\%281000kbps\%29.conf LiveStream1000kbps.conf
  mv Live\%20Stream\%20\%282000kbps\%29.conf LiveStream2000kbps.conf
  mv Live\%20Stream\%20\%283000kbps\%29.conf LiveStream3000kbps.conf
popd

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%make_install

find %{buildroot} -name "*.la" -delete

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%files
%defattr(-,root,root)
%doc COPYING *.txt README.md
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}
%{_libdir}/libssr-glinject.*

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Fri Jan 29 2016 bb <bb> 0.3.6-1pclos2016
- update

* Mon Jan 05 2015 bb <bb> 0 3.2-1pclos2015
- update

* Tue Nov 18 2014 bb <bb> 0.3.1-1pclos2014
- update
- build for ffmpeg 2.4.3

* Sat Aug 09 2014 bb <bb> 0.3.0-1pclos2014
- update
